# fn() bundle3
Returns a bundle of three objects.

Defined in | <seqan/pipe.h>
Signature | `TBundle bundle3(in1, in2, in3);`

## Parameters

`in1` | First object.
`in2` | Second object.
`in3` | Third object.

## Return Values

`TBundle` | A Bundle3 with references to `in1`, `in2`, and `in3`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- Bundle3

#### Dox Sources

    /*!
     * @fn bundle3
     *
     * @headerfile <seqan/pipe.h>
     *
     * @brief Returns a bundle of three objects.
     *
     * @signature TBundle bundle3(in1, in2, in3);
     *
     * @param[in] in1 First object.
     * @param[in] in2 Second object.
     * @param[in] in3 Third object.
     *
     * @return TBundle A Bundle3 with references to <tt>in1</tt>, <tt>in2</tt>, and
     *                 <tt>in3</tt>.
     *
     * @see Bundle3
     */